Mailinglist Archive: opensuse-security-announce (27 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1785-1: important: Security update for librsvg
SUSE Security Update: Security update for librsvg
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1785-1
Rating: important
References: #840753
Cross-References: CVE-2013-1881
Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Software Development Kit 11-SP3
SUSE Linux Enterprise Server for VMWare 11-SP3
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Server 11-SP3
SUSE Linux Enterprise Desktop 11-SP4
SUSE Linux Enterprise Desktop 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

librsvg was updated to fix one security issue.

This security issue was fixed:
- CVE-2013-1881: GNOME libsvg allowed remote attackers to read arbitrary
files via an XML document containing an external entity declaration in
conjunction with an entity reference, related to an XML External Entity
(XXE) issue (bsc#840753).


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-librsvg-12145=1

- SUSE Linux Enterprise Software Development Kit 11-SP3:

zypper in -t patch sdksp3-librsvg-12145=1

- SUSE Linux Enterprise Server for VMWare 11-SP3:

zypper in -t patch slessp3-librsvg-12145=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-librsvg-12145=1

- SUSE Linux Enterprise Server 11-SP3:

zypper in -t patch slessp3-librsvg-12145=1

- SUSE Linux Enterprise Desktop 11-SP4:

zypper in -t patch sledsp4-librsvg-12145=1

- SUSE Linux Enterprise Desktop 11-SP3:

zypper in -t patch sledsp3-librsvg-12145=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-librsvg-12145=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-librsvg-12145=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

librsvg-devel-2.26.0-2.5.1

- SUSE Linux Enterprise Software Development Kit 11-SP3 (i586 ia64 ppc64
s390x x86_64):

librsvg-devel-2.26.0-2.5.1

- SUSE Linux Enterprise Server for VMWare 11-SP3 (i586 x86_64):

librsvg-2.26.0-2.5.1
rsvg-view-2.26.0-2.5.1

- SUSE Linux Enterprise Server for VMWare 11-SP3 (x86_64):

librsvg-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

librsvg-2.26.0-2.5.1
rsvg-view-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):

librsvg-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP4 (ia64):

librsvg-x86-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP3 (i586 ia64 ppc64 s390x x86_64):

librsvg-2.26.0-2.5.1
rsvg-view-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP3 (ppc64 s390x x86_64):

librsvg-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Server 11-SP3 (ia64):

librsvg-x86-2.26.0-2.5.1

- SUSE Linux Enterprise Desktop 11-SP4 (i586 x86_64):

librsvg-2.26.0-2.5.1
rsvg-view-2.26.0-2.5.1

- SUSE Linux Enterprise Desktop 11-SP4 (x86_64):

librsvg-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Desktop 11-SP3 (i586 x86_64):

librsvg-2.26.0-2.5.1
rsvg-view-2.26.0-2.5.1

- SUSE Linux Enterprise Desktop 11-SP3 (x86_64):

librsvg-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

librsvg-debuginfo-2.26.0-2.5.1
librsvg-debugsource-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):

librsvg-debuginfo-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):

librsvg-debuginfo-x86-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (i586 ia64 ppc64 s390x x86_64):

librsvg-debuginfo-2.26.0-2.5.1
librsvg-debugsource-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (ppc64 s390x x86_64):

librsvg-debuginfo-32bit-2.26.0-2.5.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (ia64):

librsvg-debuginfo-x86-2.26.0-2.5.1


References:

https://www.suse.com/security/cve/CVE-2013-1881.html
https://bugzilla.suse.com/840753

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages